Maceraya hazır mısın! bir BSD almaz mısın?

Duyuru
* Forum tasarımımız yenilendi.
* FreeBSD 10.4 - RELEASE Final çıktı.
* FreeBSD 11.1 - RELEASE Final çıktı.
Son Mesajlar
Çevrimiçi (0)

BE::SHELL ve Bespin tema kurulumu

KDE de plasma desktop olayından sıkıldıysanız veya yenilik arıyorsanız Be.shell ve Bespin bu iş için idealdir.
Kde bam-başka bir hal alıyor gerçekten ama Be.shell 'i iyice tanımak lazım, insan acemilik çekiyor.
Neyse git uygulaması kurulu değilse önce onu kurun.
pkg_add -r git

BESPİN kurulumu ;

http://cloudcity.sourceforge.net/download.php
svn co https://cloudcity.svn.sourceforge.net/svnroot/cloudcitycd cloudcity./configurecd buildmakesudo make install
* Son komutu su ile root olarak sudo olmadan da verebilirsiniz.
Bespin kurulumu bu kadar, Kde ayarları Uygulama görünümü > biçimden seçebilirsiniz.
Ayrıca Pencere dekorasyonundan da seçin.

BE::SHELL kurulumu ;

Ardından Be.shell 'i kaynak sitesinden kuralım.
git clone git://git.code.sf.net/p/be-shell/code be-shellcd be-shell./configurecd buildmakesudo make install
* Son komutu su ile root olarak sudo olmadan da verebilirsiniz.
Ardından normal kullanıcı ile konsolda bunları döndürün.
kquitapp plasma-desktopkquitapp kuiserverkquitapp krunnerbe.shell
Ardından Kde servis yöneticisini açın (kcmshell4 kded)
"Durum bildiricisi yöneticisi" tik'ini kaldırın ve durdurun.
Şimdide /usr/local/share/autostart/ içinde ki dosyaları silmeyeceğiniz bir yere, deponuza taşıyın. (sonra geri kullanabilirsiniz belki)
Bu noktada autostart içinde ki kullanmadığınız ama her restartta sistem tepsisine yerleşen nepomuk, printer gibi uygulamarıda depolayabilirsiniz.
Ayrıca dizinde kontrol edin be.shell.desktop dosyası olmalıdır, be.shell'in her açılışta otomatik çalışması için gereklidir.
plasma-desktop.desktopkrunner.desktop

Kişisel Tema kurulumu ;


Şimdi netten bulduğunuz Be.shell temalarını kurabilirsiniz.
Örnek olarak bunu BE::Platinum::Aqua 'ı kuralım.
Aslında bu be.shell temalarının içinde readmelerde anlatılıyor ama kısaca bunuda geçeyim.
Dosyayı Download linkinden indirin ve zip'ten çıkartın
1- BE::Platinum::Aqua dizinini ~/.kde/share/apps/be.shell/Themes 'e taşıyın.
2- İndirdiğiniz dosyada be.shell 'i ~/.kde/share/config 'e taşıyın.
3- İndirdiğiniz dosyada face.icon 'u bulun ve ev dizinine atın ve yeniden adlandırıp önüne . koyun yani .face.icon olsun
4- be.shell 'e restart atın, en iyisi sistemden çıkıp tekrar girmek, yani komple restart atın.
Artık bundan sonrasını kurcalamak lazım, plasma ile alakası yok be.shell 'in anca kurcalayarak öğrenilir bu.

Maceraya hazır mısın?  Bir BSD almaz mısın!

Yorumlar

  • Linux Mint'le deneyip içinden çıkamayınca PC-BSD ile şansımı denemek istedim ama ilk aşamada çakıldım. :)
    pkg_add -r git
    
    kodunu girdiğimde
    Error: Unable to get ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-9.1-release/Latest/git.tbz: File unavailable (e.g., file not found, no access)
    pkg_add: unable to fetch 'ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-9.1-release/Latest/git.tbz' by URL
    
    çıktısını alıyorum. Ftp sunucusunda 9.0 release var, 9.1 yok. "git.tbz" dosyasını elle indirdim ama nasıl kullanabileceğime dair hiçbir fikrim yok.
  • Paketi elle kurarken konsola pkg_add yazıp boşluk verip, paket sürükle/bırak yapmak yeterli, ama tabii önce pkg_add -r git ile -r parametresiyle denemek daha iyi, bağımlılıklarıda yükler.
    Neyse konsoldan depo yolunu değiştirelim, csh konsolu kullanıyorsan.
    setenv PACKAGESITE ftp://ftp.ulakbim.gov.tr/pub/FreeBSD/ports/amd64/packages-9-current/Latest/
    

    Bash içinse
    export PACKAGESITE=ftp://ftp.ulakbim.gov.tr/pub/FreeBSD/ports/amd64/packages-9-current/Latest/
    
    Evet ftp de 9.1 yok, niye yok açıkcası bende bilmiyorum belki ileride eklerler ama üsteki komutlar sorunu çözer.
    Bu arada hayırlı olsun.

    Maceraya hazır mısın?  Bir BSD almaz mısın!
  • Teşekkür ederim Felasife. Şunu belirteyim ki PC-BSD ve KDE yağ gibi kayıyor. :D Mint KDE bu kadar performanslı çalışmıyordu bilgisayarımda.
    RC1 çıktığında LM forumundan belirtmiştim başını ağrıtacağımı. Yeni bir sorunla devam ediyorum. :)
    Bespin kurulumu sırasında şu hatayı alıyorum:
    [Onder@pcbsd-5397] /usr/home/Onder/cloudcity# ./configure
    ./configure: line 40: cmake: command not found
    ./configure: line 4: bad: command not found
    Path to Qt4:                 
    Qt4 not found - exiting...
    
  • Estagfurullah yo başım ağrımaz bu kadarcık şeyden
    Demek ben bazı şeyleri otomatik yüklüyorum, dolayısıyla ilgili bağımlıklarda arada yükleniyor, neyse şu komuta bir bakalım, eksik olan ne var, ona göre hareket ederiz.
    pkg_info -Ex make qt4 conf kde
    
    Sistemin yağ gibi akmasına sevindim, performans olayı BSD de hiç fena değil bende çok mennunum ama pek kullanmadığı için insanlar bilmiyorlar.

    Maceraya hazır mısın?  Bir BSD almaz mısın!
  • Çıktı şu şekilde:
    pkg_info -Ex make qt4 conf kde
    cmake-2.8.9
    cmake-modules-2.8.9
    dconf-0.5.1_4
    dotconf-1.3
    fontconfig-2.9.0,1
    gconf2-2.32.0_3
    gmake-3.82_1
    kcm-polkit-kde-0.0.20121008
    kde-base-artwork-4.9.3
    kde-baseapps-4.9.3
    kde-runtime-4.9.3
    kde-wallpapers-4.9.3
    kde-workspace-4.9.3
    kde4-icons-oxygen-4.9.3
    kde4-shared-mime-info-1.2
    kde4-style-nitrogen-1.0.5_4
    kde4-style-polyester-2.0.0_6
    kde4-style-qtcurve-1.8.13
    kde4-style-skulpture-0.2.3_6
    kde4-windeco-nitrogen-3.3.3_4
    kde4-xdg-env-1.0.1
    kdeaccessibility-4.9.3
    kdeadmin-4.9.3
    kdeartwork-4.9.3
    kdebindings-4.9.3
    kdeedu-4.9.3
    kdegames-4.9.3
    kdegraphics-4.9.3
    kdegraphics-mobipocket-4.9.3
    kdegraphics-strigi-analyzer-4.9.3
    kdegraphics-svgpart-4.9.3
    kdegraphics-thumbnailers-4.9.3
    kdehier4-1.0.12
    kdelibs-4.9.3
    kdemultimedia-4.9.3
    kdemultimedia-ffmpegthumbs-4.9.3
    kdenetwork-4.9.3
    kdepim-4.9.3
    kdepim-runtime-4.9.3
    kdepimlibs-4.9.3
    kdeplasma-addons-4.9.3
    kdeutils-4.9.3
    kdeutils-printer-applet-4.9.3
    kmplayer-kde4-0.11.2b_2,3
    libkdeedu-4.9.3
    linux-f10-fontconfig-2.6.0
    p5-perlkde-4.9.3
    pam_kde-1.0
    pinentry-qt4-0.8.1_2
    pkgconf-0.8.9
    polkit-kde-0.99.1
    poppler-qt4-0.18.4_1
    py27-pykde4-4.9.3
    py27-pykdeuic4-4.9.3
    py27-qt4-4.9.5
    py27-qt4-assistant-4.9.5,1
    py27-qt4-core-4.9.5,1
    py27-qt4-dbus-4.9.5,1
    py27-qt4-dbussupport-4.9.5,1
    py27-qt4-declarative-4.9.5
    py27-qt4-demo-4.9.5,1
    py27-qt4-designer-4.9.5,1
    py27-qt4-designerplugin-4.9.5,1
    py27-qt4-doc-4.9.5,1
    py27-qt4-gui-4.9.5,1
    py27-qt4-help-4.9.5
    py27-qt4-multimedia-4.9.5
    py27-qt4-network-4.9.5,1
    py27-qt4-opengl-4.9.5,1
    py27-qt4-phonon-4.9.5
    py27-qt4-qscintilla2-2.6.2,1
    py27-qt4-script-4.9.5,1
    py27-qt4-scripttools-4.9.5,1
    py27-qt4-sql-4.9.5,1
    py27-qt4-svg-4.9.5,1
    py27-qt4-test-4.9.5,1
    py27-qt4-webkit-4.9.5
    py27-qt4-xml-4.9.5,1
    py27-qt4-xmlpatterns-4.9.5
    qt4-4.8.2
    qt4-accessible-4.8.3
    qt4-assistant-4.8.3
    qt4-clucene-4.8.3
    qt4-codecs-cn-4.8.3
    qt4-codecs-jp-4.8.3
    qt4-codecs-kr-4.8.3
    qt4-codecs-tw-4.8.3
    qt4-corelib-4.8.3
    qt4-dbus-4.8.3
    qt4-declarative-4.8.3
    qt4-designer-4.8.3
    qt4-doc-4.8.3
    qt4-graphicssystems-opengl-4.8.2
    qt4-gui-4.8.3
    qt4-help-4.8.3
    qt4-help-tools-4.8.3
    qt4-iconengines-4.8.3
    qt4-imageformats-4.8.3
    qt4-inputmethods-4.8.3
    qt4-l10n-4.8.3
    qt4-libQtAssistantClient-4.6.3_1
    qt4-linguist-4.8.3
    qt4-multimedia-4.8.3
    qt4-mysql-plugin-4.8.3
    qt4-network-4.8.3
    qt4-opengl-4.8.3
    qt4-pixeltool-4.8.3
    qt4-porting-4.8.3
    qt4-qdbusviewer-4.8.3
    qt4-qt3support-4.8.3
    qt4-qtconfig-4.8.3
    qt4-qtestlib-4.8.3
    qt4-qtsolutions-singleapplication-20110722_1
    qt4-qvfb-4.8.3
    qt4-script-4.8.3
    qt4-scripttools-4.8.3
    qt4-sql-4.8.3
    qt4-sqlite-plugin-4.8.3
    qt4-style-qtcurve-1.8.13
    qt4-svg-4.8.3
    qt4-webkit-4.8.3
    qt4-xml-4.8.3
    qt4-xmlpatterns-4.8.3
    qt4-xmlpatterns-tool-4.8.3
    smokekde-4.9.3
    system-config-printer-1.1.16_5
    system-config-printer-kde-4.9.3
    telepathy-qt4-0.9.1_1
    xkeyboard-config-2.5.1
    
  • Sanırım ilacı bu
    pkg_add -r automake
    

    Maceraya hazır mısın?  Bir BSD almaz mısın!
  • Malesef
    Path to Qt4:
    Qt4 yolunu sorup duruyor. :S
  • İlginç, normalde ben ekstra automake filan kurmuyorum ama bende kurulular, neyse şu komuta tekrar bakabilir miyim.
    pkg_info -Ex make qt4 conf kde port
    

    Maceraya hazır mısın?  Bir BSD almaz mısın!
  • Şu şekilde:
    [Onder@pcbsd-5397] /usr/home/Onder/Downloads/cloudcity# pkg_info -Ex make qt4 conf kde port
    autoconf-2.69
    autoconf-wrapper-20101119
    automake-1.12.4
    automake-wrapper-20101119
    cmake-2.8.9
    cmake-modules-2.8.9
    dconf-0.5.1_4
    dotconf-1.3
    fontconfig-2.9.0,1
    gconf2-2.32.0_3
    gmake-3.82_1
    kcm-polkit-kde-0.0.20121008
    kde-base-artwork-4.9.3
    kde-baseapps-4.9.3
    kde-runtime-4.9.3
    kde-wallpapers-4.9.3
    kde-workspace-4.9.3
    kde4-icons-oxygen-4.9.3
    kde4-shared-mime-info-1.2
    kde4-style-nitrogen-1.0.5_4
    kde4-style-polyester-2.0.0_6
    kde4-style-qtcurve-1.8.13
    kde4-style-skulpture-0.2.3_6
    kde4-windeco-nitrogen-3.3.3_4
    kde4-xdg-env-1.0.1
    kdeaccessibility-4.9.3
    kdeadmin-4.9.3
    kdeartwork-4.9.3
    kdebindings-4.9.3
    kdeedu-4.9.3
    kdegames-4.9.3
    kdegraphics-4.9.3
    kdegraphics-mobipocket-4.9.3
    kdegraphics-strigi-analyzer-4.9.3
    kdegraphics-svgpart-4.9.3
    kdegraphics-thumbnailers-4.9.3
    kdehier4-1.0.12
    kdelibs-4.9.3
    kdemultimedia-4.9.3
    kdemultimedia-ffmpegthumbs-4.9.3
    kdenetwork-4.9.3
    kdepim-4.9.3
    kdepim-runtime-4.9.3
    kdepimlibs-4.9.3
    kdeplasma-addons-4.9.3
    kdeutils-4.9.3
    kdeutils-printer-applet-4.9.3
    kmplayer-kde4-0.11.2b_2,3
    libkdeedu-4.9.3
    linux-f10-fontconfig-2.6.0
    p5-XML-NamespaceSupport-1.11
    p5-perlkde-4.9.3
    pam_kde-1.0
    pinentry-qt4-0.8.1_2
    pkgconf-0.8.9
    polkit-kde-0.99.1
    poppler-qt4-0.18.4_1
    portaudio-18.1_2
    portupgrade-2.4.10.2,2
    py27-pykde4-4.9.3
    py27-pykdeuic4-4.9.3
    py27-qt4-4.9.5
    py27-qt4-assistant-4.9.5,1
    py27-qt4-core-4.9.5,1
    py27-qt4-dbus-4.9.5,1
    py27-qt4-dbussupport-4.9.5,1
    py27-qt4-declarative-4.9.5
    py27-qt4-demo-4.9.5,1
    py27-qt4-designer-4.9.5,1
    py27-qt4-designerplugin-4.9.5,1
    py27-qt4-doc-4.9.5,1
    py27-qt4-gui-4.9.5,1
    py27-qt4-help-4.9.5
    py27-qt4-multimedia-4.9.5
    py27-qt4-network-4.9.5,1
    py27-qt4-opengl-4.9.5,1
    py27-qt4-phonon-4.9.5
    py27-qt4-qscintilla2-2.6.2,1
    py27-qt4-script-4.9.5,1
    py27-qt4-scripttools-4.9.5,1
    py27-qt4-sql-4.9.5,1
    py27-qt4-svg-4.9.5,1
    py27-qt4-test-4.9.5,1
    py27-qt4-webkit-4.9.5
    py27-qt4-xml-4.9.5,1
    py27-qt4-xmlpatterns-4.9.5
    qt4-4.8.2
    qt4-accessible-4.8.3
    qt4-assistant-4.8.3
    qt4-clucene-4.8.3
    qt4-codecs-cn-4.8.3
    qt4-codecs-jp-4.8.3
    qt4-codecs-kr-4.8.3
    qt4-codecs-tw-4.8.3
    qt4-corelib-4.8.3
    qt4-dbus-4.8.3
    qt4-declarative-4.8.3
    qt4-designer-4.8.3
    qt4-doc-4.8.3
    qt4-graphicssystems-opengl-4.8.2
    qt4-gui-4.8.3
    qt4-help-4.8.3
    qt4-help-tools-4.8.3
    qt4-iconengines-4.8.3
    qt4-imageformats-4.8.3
    qt4-inputmethods-4.8.3
    qt4-l10n-4.8.3
    qt4-libQtAssistantClient-4.6.3_1
    qt4-linguist-4.8.3
    qt4-multimedia-4.8.3
    qt4-mysql-plugin-4.8.3
    qt4-network-4.8.3
    qt4-opengl-4.8.3
    qt4-pixeltool-4.8.3
    qt4-porting-4.8.3
    qt4-qdbusviewer-4.8.3
    qt4-qt3support-4.8.3
    qt4-qtconfig-4.8.3
    qt4-qtestlib-4.8.3
    qt4-qtsolutions-singleapplication-20110722_1
    qt4-qvfb-4.8.3
    qt4-script-4.8.3
    qt4-scripttools-4.8.3
    qt4-sql-4.8.3
    qt4-sqlite-plugin-4.8.3
    qt4-style-qtcurve-1.8.13
    qt4-svg-4.8.3
    qt4-webkit-4.8.3
    qt4-xml-4.8.3
    qt4-xmlpatterns-4.8.3
    qt4-xmlpatterns-tool-4.8.3
    smokekde-4.9.3
    system-config-printer-1.1.16_5
    system-config-printer-kde-4.9.3
    telepathy-qt4-0.9.1_1
    xkeyboard-config-2.5.1
    
    Uzunca bir süre de Mint üzerinde uğraştım ama orada da sonuç alamadım yine. Bu sevdadan vazgeçiyorum. :) Zahmet verdim, kusura bakma. :)
  • Uzunca bir süre de Mint üzerinde uğraştım ama orada da sonuç alamadım yine. Bu sevdadan vazgeçiyorum.  Zahmet verdim, kusura bakma. 

    Est. kusur değilde niye olmadı bende şaşırdım açıkcası ve sırf bunun için sanala PCBSD kuracağım ve varsayılan ayarlarla bir deneme yapacağım bakalım.

    Maceraya hazır mısın?  Bir BSD almaz mısın!
  • Elinize sağlık, kde böyle güzel oldu :)
    Yalnız;
    svn co https://cloudcity.svn.sourceforge.net/svnroot/cloudcity
    cd ~/downloads
    ./configure
    make
    sudo make install
    
    değil de
    svn co https://cloudcity.svn.sourceforge.net/svnroot/cloudcity
    cd cloudcity
    ./configure
    cd build
    make
    sudo make install
    
    Olması gerekli değil mi?
  • Üstad 3 tane tema yükledim hatasız hepsi tamam. Değiştirdiğimde temaya uygun ekran renk yazı herşey değişiyor da.... AMA PANELLER NIYE ÇıKMıYOR HALA ANLAYAMıYORUM. Alt ve üst panel yok...
  • be.shell ve varsa *.xml dosyalarında ki yolları kontrol et, doğruysa birde çıkış/giriş yap sisteme, normalde restart'ta atılıyor be.shell'e menülerde olması lazım o da olur.
    Düzenlemeyi yaptım, haklısın öyle olmaz. ^-^

    Maceraya hazır mısın?  Bir BSD almaz mısın!
  • Sorunsuz olarak kurulumları gerçekleştirdim. Tek sorunum alt panel ikonlarını yerleştiremiyorum:
    [img]http://ompldr.org/vaTI2Zw/ekran_görüntüsü1.png[/img]
  • /home/kul_adı/.kde4/share/config/be.shell
    Bunu kontrol et, orada iconlar yazı veya simge olarak ayarlanıyor.
    Bende şimdi kurulu değil o yüzden tam veremiyorum,
    Düzenlemeleri yaptıktan sonra sağ tık'ta reload vardı sanırsam, onu uygularsan tema yenilenir.

    Maceraya hazır mısın?  Bir BSD almaz mısın!
  • Burada ki Wbar+Noir İcon nasıl gerçekleştiriliyor.
  • Yukardaki düzenleme sanırım eksik olmuş:
    cd build eklenmemiş.
  • Wbar güzel bir şeymiş gerçi gtk ama fazla bir şey yüklemiyor.
    Neyse Wbar 'ı kurduktan sonra konsoldan wbar & diye çalıştırdıktan sonra panelde en solda ki ikon ayar ikonu oradan ayarları yapabilirsin.
    ~/.wbar da conf dosyası.
    Açılışta çalışması içinde Kde ayarlarından Başlatma ve kapatma > Otomatik başlat > betik ekle 'den /usr/local/bin/wbar 'ı ekle.
    Bespin'e build gerekiyor muymuş hatırlamıyorumda.

    Maceraya hazır mısın?  Bir BSD almaz mısın!
  • ./configure: Command not found
    
    Bu hatanın kaynağı ilginçtir CSH konsol kullanmaktan oluyormuş, yani BASH konsolu kullanmak gerekiyormuş.
    CSH de ./configure komutu dönmüyor.
    Konsol değiştirme burada var ama FreeBSD de /bin/bash diye bir hata daha gelebiliyor değiştirince
    Konsolu değiştirme komutunu verdikten sonra
    $ chsh -s /usr/local/bin/bash kullanıcı_adı
    
    (!!! kullanıcı şifresini verin)
    Bunuda vermek gerekebilir. (/bin altına linkliyoruz yani)
    # ln -s /usr/local/bin/bash /bin/bash
    

    Ardında sisteme çıkış/giriş yapmak gerekiyor.

    Maceraya hazır mısın?  Bir BSD almaz mısın!
Yorum yapmak için Oturum Açın yada Kayıt Olun .